// since there's no dynamic data here, we can prerender
// it so that it gets served as a static asset in production
export const prerender = false;
export const ssr = false;


export async function load({fetch }) {
    let mcserverRequest = await fetch("https://api.mcsrvstat.us/3/game.reslate.systems")
    let mcServer = null;
    if (mcserverRequest.ok) {
        mcServer = await mcserverRequest.json();
    }
    for (let i = 0; i < mcServer.players.list.length; i++) {
        const player = mcServer.players.list[i];
        let skinResponse = await fetch(`https://api.mineatar.io/body/full/${player.uuid}`)
        if (skinResponse.ok) {
            player.skin = URL.createObjectURL(await skinResponse.blob())
        }
    }
	return {
        mcServer: mcServer
    };
}